## org.eclipse.uml2.common.util
Interface UML2Util.EObjectMatcher

All Known Implementing Classes:
  UML2Util.EClassMatcher, UML2Util.EStructuralFeatureMatcher, UMLUtil.Ecore2UMLConverter.ParameterSubstitutionMatcher, UMLUtil.PackageMerger.BodyMatcher, UMLUtil.PackageMerger.KeyMatcher, UMLUtil.PackageMerger.NameMatcher, UMLUtil.PackageMerger.ResultingQNameMatcher, UMLUtil.PackageMerger.SourceMatcher, UMLUtil.PackageMerger.StringValueMatcher, UMLUtil.PackageMerger.TypeMatcher, UMLUtil.UML2EcoreConverter.ETypeMatcher, UMLUtil.UML2EcoreConverter.NameMatcher, UMLUtil.UML2EcoreConverter.SignatureMatcher

Enclosing class:
  UML2Util

    public static interface UML2Util.EObjectMatcher

An interface for classes that can determine matches based on some criteria.

Method Summary
`boolean` `matches(org.eclipse.emf.ecore.EObject eObject)` Determines whether the specified object matches some criteria.

Method Detail

### matches

    boolean matches(org.eclipse.emf.ecore.EObject eObject)

  Determines whether the specified object matches some criteria.

  Parameters:
    `eObject` - The candidate object.
  Returns:
    `true` if the object meets the criteria; `false` otherwise.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.